 LIBRARY IEEE ;
 USE IEEE.STD_LOGIC_1164.ALL ;
 ENTITY MUX41 IS
  PORT (   F1  : IN  STD_LOGIC;
           F2  : IN  STD_LOGIC;
           F3  : IN  STD_LOGIC;
           F4  : IN  STD_LOGIC;
           DIN : IN  STD_LOGIC_VECTOR(3 DOWNTO 0); 
           FOT : OUT STD_LOGIC ) ;
 END ;
 ARCHITECTURE one OF MUX41 IS
  BEGIN
 WITH DIN SELECT
 FOT <= F1 WHEN "0000" TO "0100",
        F2 WHEN "0101" TO "1000",
        F3 WHEN "1001" TO "1100",
        F4 WHEN "1101" TO "1111",
        F4 WHEN OTHERS;
 END ;
